Go to the latest version of this document.

# ``twisted`.`web`.`_template_util``

module documentation
(source)

twisted.web.util and twisted.web.template merged to avoid cyclic deps

Constant | `NOT_DONE_YET` | Undocumented
Class | `_NSContext` | A mapping from XML namespaces onto their prefixes in the document.
Class | `_TagFactory` | A factory for `Tag` objects; the implementation of the `tags` object.
Class | `_ToStan` | A SAX parser which converts an XML document to the Twisted STAN Document Object Model.
Function | `_flatsaxParse` | Perform a SAX parse of an XML document with the _ToStan class.
Variable | `_moduleLog` | Undocumented

NOT_DONE_YET: `int` = (source)

Undocumented

Value

    1

def _flatsaxParse(fl: `IO[AnyStr] | str`) -> `list[Flattenable]`: (source)

Perform a SAX parse of an XML document with the _ToStan class.

Parameters
fl:`IO[AnyStr] | str` | The XML document to be parsed.

Returns
`list[Flattenable]` | a `list` of Stan objects.

_moduleLog = (source)

Undocumented